AWS
probe ASG

# process_is_suspended

Determines if one or more processes on an ASG are suspended.

Run it now
View details

Type | probe
Module | chaosaws.asg.probes
Name | process_is_suspended
Return | boolean

Usage

JSON

    {
      "name": "process-is-suspended",
      "type": "probe",
      "provider": {
        "type": "python",
        "module": "chaosaws.asg.probes",
        "func": "process_is_suspended"
      }
    }

YAML

    name: process-is-suspended
    provider:
      func: process_is_suspended
      module: chaosaws.asg.probes
      type: python
    type: probe

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
asg_names | list | null | No | ASG Names | One or many ASG names as a JSON encoded list
tags | list | null | No | ASG Tags | List of AWS tags for to identify ASG by tags instead of by names
process_names | list | null | No | Process Names | List of process names to check for

Signature

    def process_is_suspended(asg_names: List[str] = None,
                             tags: List[Dict[str, str]] = None,
                             process_names: List[str] = None,
                             configuration: Dict[str, Dict[str, str]] = None,
                             secrets: Dict[str, Dict[str, str]] = None) -> bool:
        pass

## Related starters

- AWS
  action ASG

  ## `suspend_processes`

  Suspends 1 or more processes on a list of auto-scaling groups
- AWS
  action ASG

  ## `change_subnets`

  Adds/removes subnets on autoscaling groups
- AWS
  probe ASG

  ## `describe_auto_scaling_groups`

  Returns AWS descriptions for provided ASG(s)